Name:          jcifs
Version:       1.2.24
Release:       %mkrel 1
Summary:       Common Internet File System Client in 100% Java
Group:         Development/Java
License:       LGPL
Url:           http://jcifs.samba.org/
# no more available
# taken from https://api.opensuse.org/public/source/Java:jpackage-5.0/jcifs/jcifs-1.2.24.tgz?rev=88c2927e6d3ec3772d6c72ff436d3f7b&
#Source0:       http://jcifs.samba.org/src/jcifs-1.2.24.tgz
# tar: Archive is compressed. Use the-z option.
# tar: Error is not recoverable: exiting now
Source0:       jcifs_1.2.24-repackaged.tar.gz
# from http://repo1.maven.org/maven2/jcifs/jcifs/0.8.3/jcifs-0.8.3.pom and modified
Source1:       jcifs-1.2.24.pom 

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: servletapi5
Requires:      servletapi5

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The jCIFS SMB client library enables any Java application to remotely
access shared files and directories on SMB file servers(i.e. a Microsoft
Windows "share") in addition to domain, workgroup, and server
enumeration of NetBIOS over TCP/IP networks. It is an advanced
implementation of the CIFS protocol supporting Unicode, batching,
multiplexing of threaded callers, encrypted authentication,
transactions, the Remote Access Protocol (RAP), and much more. It is
licensed under LGPL which means commercial organizations can
legitimately use it with their proprietary code(you just can't sell or
give away a modified binary only version of the library itself without
reciprocation).

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package demo
Summary:       Demo for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n jcifs_%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build

export CLASSPATH=$(build-classpath servletapi5)
export OPT_JAR_LIST=:
%ant jar javadoc
export CLASSPATH=$(build-classpath servletapi5):$PWD/%{name}-%{version}.jar
# TODO (cd examples && %javac -target 1.5 -source 1.5 *.java)

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -p -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
( cd %{buildroot}%{_javadir}/ ; ln -sf %{name}-%{version}.jar %{name}.jar )

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/examples
#cp -pr examples/*.class %{buildroot}%{_datadir}/%{name}/examples
cp -pr examples/*.java  %{buildroot}%{_datadir}/%{name}/examples

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jcifs-%{version}.jar
%{_javadir}/jcifs.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.txt docs/*.{html,txt,gif}

%files javadoc
%{_javadocdir}/%{name}

%files demo
%{_datadir}/%{name}/*


%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.2.24-1.mga2
+ Revision: 132879
- Clean spec file

  + gil <gil>
    - imported package jcifs

